summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-09-19 20:48:42 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-09-19 20:48:42 (GMT)
commit581ca3f63eaa413ec8244b3af0cd6016e63b1ad9 (patch)
tree8ddbb81d8cdbb8774d2b09f8bd12fb0d5ee1ee0a
parent06cd7d02096c8672ed5fb54a18b7fa31bef05082 (diff)
downloadlinhes_pkgbuild-581ca3f63eaa413ec8244b3af0cd6016e63b1ad9.zip
linhes_pkgbuild-581ca3f63eaa413ec8244b3af0cd6016e63b1ad9.tar.gz
linhes_pkgbuild-581ca3f63eaa413ec8244b3af0cd6016e63b1ad9.tar.bz2
libffi & openslp: added
These were needed to compile cups/gtk
-rw-r--r--abs/extra-testing/libffi/PKGBUILD24
-rw-r--r--abs/extra-testing/libffi/libffi.install18
-rw-r--r--abs/extra-testing/openslp/PKGBUILD23
-rwxr-xr-xabs/extra-testing/openslp/rc.slpd38
4 files changed, 103 insertions, 0 deletions
diff --git a/abs/extra-testing/libffi/PKGBUILD b/abs/extra-testing/libffi/PKGBUILD
new file mode 100644
index 0000000..555f0eb
--- /dev/null
+++ b/abs/extra-testing/libffi/PKGBUILD
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 72255 2010-03-13 20:43:14Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=libffi
+pkgver=3.0.9
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions."
+arch=('i686' 'x86_64')
+license=('MIT')
+url="http://sourceware.org/libffi"
+depends=('glibc' 'texinfo')
+options=('!libtool' 'force')
+install=libffi.install
+source=(ftp://sourceware.org/pub/libffi/libffi-${pkgver}.tar.gz)
+md5sums=('1f300a7a7f975d4046f51c3022fa5ff1')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+ install -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
+}
diff --git a/abs/extra-testing/libffi/libffi.install b/abs/extra-testing/libffi/libffi.install
new file mode 100644
index 0000000..151b79b
--- /dev/null
+++ b/abs/extra-testing/libffi/libffi.install
@@ -0,0 +1,18 @@
+infodir=/usr/share/info
+filelist=(libffi.info.gz)
+
+post_install() {
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
diff --git a/abs/extra-testing/openslp/PKGBUILD b/abs/extra-testing/openslp/PKGBUILD
new file mode 100644
index 0000000..9ba1f94
--- /dev/null
+++ b/abs/extra-testing/openslp/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 75251 2010-04-01 04:53:24Z allan $
+# Maintainer: Tobias Powalowski <tpowa@archlinux.org>
+pkgname=openslp
+pkgver=1.2.1
+pkgrel=3
+pkgdesc="Open-source implementation of Service Location Protocol"
+arch=(i686 x86_64)
+url="http://www.openslp.org"
+license=('BSD')
+depends=('glibc' 'bash' 'openssl')
+backup=('etc/slp.conf' 'etc/slp.reg' 'etc/slp.spi')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz rc.slpd)
+md5sums=('ff9999d1b44017281dd00ed2c4d32330' '4f6889a5944894b8be2c01404a9566d2')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} DOC_DIR=/usr/share/doc/openslp-${pkgver} install || return 1
+ install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+ install -D -m755 ../rc.slpd ${pkgdir}/etc/rc.d/slpd
+}
diff --git a/abs/extra-testing/openslp/rc.slpd b/abs/extra-testing/openslp/rc.slpd
new file mode 100755
index 0000000..4330c37
--- /dev/null
+++ b/abs/extra-testing/openslp/rc.slpd
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/slpd`
+case "$1" in
+ start)
+ stat_busy "Starting SLPD"
+ [ -z "$PID" ] && /usr/sbin/slpd
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ echo $PID > /var/run/slpd.pid
+ add_daemon slpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping SLPD"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm /var/run/slpd.pid
+ rm_daemon slpd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0